TLSClientHelloExtractor.ExtractorResult (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, class: TLSClientHelloExtractor, enum: ExtractorResult

# Enum TLSClientHelloExtractor.ExtractorResult

java.lang.Object
java.lang.Enum<TLSClientHelloExtractor.ExtractorResult>
org.apache.tomcat.util.net.TLSClientHelloExtractor.ExtractorResult

All Implemented Interfaces:
  `Serializable, Comparable<TLSClientHelloExtractor.ExtractorResult>, java.lang.constant.Constable`

Enclosing class:
  `TLSClientHelloExtractor`

public static enum TLSClientHelloExtractor.ExtractorResult extends Enum<TLSClientHelloExtractor.ExtractorResult>
Possible results of TLS ClientHello extraction.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETE`
  Extraction completed successfully.
  `NEED_READ`
  More data needs to be read.
  `NON_SECURE`
  The connection is not using TLS.
  `NOT_PRESENT`
  The requested information is not present in the ClientHello.
  `UNDERFLOW`
  Not enough data available for extraction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TLSClientHelloExtractor.ExtractorResult`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TLSClientHelloExtractor.ExtractorResult[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPLETE

    public static final TLSClientHelloExtractor.ExtractorResult COMPLETE
    Extraction completed successfully.

  - ### NOT_PRESENT

    public static final TLSClientHelloExtractor.ExtractorResult NOT_PRESENT
    The requested information is not present in the ClientHello.

  - ### UNDERFLOW

    public static final TLSClientHelloExtractor.ExtractorResult UNDERFLOW
    Not enough data available for extraction.

  - ### NEED_READ

    public static final TLSClientHelloExtractor.ExtractorResult NEED_READ
    More data needs to be read.

  - ### NON_SECURE

    public static final TLSClientHelloExtractor.ExtractorResult NON_SECURE
    The connection is not using TLS.

- ## Method Details

  - ### values

    public static TLSClientHelloExtractor.ExtractorResult[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TLSClientHelloExtractor.ExtractorResult valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null